Page MenuHomePhabricator

Archive the Semantic Genealogy extension
Open, Needs TriagePublicRequest

Description

Reason:

Not deployed anywhere according to wikiapiary.
Does not seem to have receive any new code since the initial import

Event Timeline

hashar created this task.Jul 12 2018, 9:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2018, 9:22 AM

Change 445378 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive some Semantic MediaWiki extensions

https://gerrit.wikimedia.org/r/445378

hashar updated the task description. (Show Details)Jul 12 2018, 9:47 AM

Change 445378 merged by jenkins-bot:
[integration/config@master] Archive some Semantic MediaWiki extensions

https://gerrit.wikimedia.org/r/445378

Dinoguy1000 renamed this task from Archive the SemanticGenealogy to Archive the Semantic Genealogy extension.Jul 12 2018, 10:04 AM
Dinoguy1000 updated the task description. (Show Details)
Kghbln added a subscriber: Kghbln.EditedJul 12 2018, 10:32 AM

This extension was refactored in August last year. What did the author say?

Did you link to the correct revision, @Kghbln? The commit date on the one you linked is October 12, 2015 - almost 3 years ago, not last year.

Oops, however I remember that somebody was working on this extension last year. Probable he was unable to work with git/gerrit and forked the code which is a frequent problem. Never mind.

MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.
MarcoAurelio moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.

Change 451046 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Remove SemanticGenealogy

https://gerrit.wikimedia.org/r/451046

Change 451046 merged by Umherirrender:
[mediawiki/extensions@master] Remove SemanticGenealogy

https://gerrit.wikimedia.org/r/451046

Umherirrender updated the task description. (Show Details)Aug 7 2018, 5:22 PM

Change 451047 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[translatewiki@master] Remove Semantic Genealogy

https://gerrit.wikimedia.org/r/451047

Change 451047 merged by jenkins-bot:
[translatewiki@master] Remove Semantic Genealogy

https://gerrit.wikimedia.org/r/451047

Umherirrender updated the task description. (Show Details)Aug 7 2018, 5:47 PM
Wilkins added a subscriber: Wilkins.EditedOct 27 2018, 8:27 PM

Hi,

I just discovered that SemanticGenealogy extension has been archived and deleted... Why would such thing happen ?
I accepted to maintained it last year because original maintainer (User:Tpt) was unable to take time for it.
And yes I submitted a patch that was merged in october last year : https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/SemanticGenealogy/+/370636/
So Kghbln was right.

I know I'm not very active on Gerrit, nor Phabricator, but since when do open source projects get "deleted" after 25 days and 2 people discussing it ? I really don't understand the idea behind that.
What is the reason ?
I'm working on large additions on SemanticGenealogy. But I'm merging it with a personnal project that was similar to it, and it takes time.

And if you had paid attention to "What links here" of the Extension page, you would have seen I added new Namespaces for the SemanticGenealogy extension here :
https://www.mediawiki.org/wiki/Extension_default_namespaces#Semantic_Genealogy

So I'm asking that this weird idea of closing/archiving/deleting SemanticGenealogy to be aborted immediately, and put it back to the state it was before.

Hashar, before creating a task to delete a project, why not contacting both authors mentionned in the Extension page ? Specially when we are all French, with the same language and timezone...

I hope this will be solved quickly.

@Wilkins The extension archival process has evolved somewhat since this task was first filed; one of the changes that has happened is a requirement to notify all maintainers listed on the extension's MediaWiki.org page. No one has taken the time to go through the older tasks and update them to the current process, though (I've been planning to do it, but just have't gotten around to it yet). In this case, the archival still hasn't been finished, and what's been done so far should be reversible. Your best bet would be to ask each person who did each action to submit a revision/pull request/etc. to reverse it. @hashar archived the integration/config tests in https://gerrit.wikimedia.org/r/445378, I archived the MediaWiki.org documentation in https://www.mediawiki.org/w/index.php?title=Extension:Semantic_Genealogy&diff=2826129&oldid=2539979, and @Umherirrender archived it from mediawiki/extensions in https://gerrit.wikimedia.org/r/451046 and from translatewiki in https://gerrit.wikimedia.org/r/451047.

The repository is still active, writable and all files in place, when the tests running again the rest is easy to restore.

But I have no idea of testing with semantic mediawiki is working right now, as there other Semantic* repos with failing tests between current mediawiki/core and the installed semantic mediawiki version.

Change 515615 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] Restore tests for SemanticSifter and SemanticGenealogy

https://gerrit.wikimedia.org/r/515615

Change 515616 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Revert "Remove SemanticGenealogy"

https://gerrit.wikimedia.org/r/515616

Change 515620 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[translatewiki@master] Revert "Remove Semantic Genealogy"

https://gerrit.wikimedia.org/r/515620

Umherirrender updated the task description. (Show Details)Jun 8 2019, 1:29 PM

Change 515616 merged by Umherirrender:
[mediawiki/extensions@master] Revert "Remove SemanticGenealogy"

https://gerrit.wikimedia.org/r/515616

Change 515620 merged by jenkins-bot:
[translatewiki@master] Revert "Remove Semantic Genealogy"

https://gerrit.wikimedia.org/r/515620

Umherirrender updated the task description. (Show Details)Jun 8 2019, 9:19 PM

Change 515615 merged by jenkins-bot:
[integration/config@master] Restore tests for SemanticSifter and SemanticGenealogy

https://gerrit.wikimedia.org/r/515615